com.holonplatform.vaadin.spring.boot

## Class HolonVaadinServletAutoConfiguration

- java.lang.Object
- - com.holonplatform.vaadin.spring.boot.HolonVaadinServletAutoConfiguration

-     @Configuration
       @ConditionalOnWebApplication
       @ConditionalOnClass(value=com.vaadin.spring.server.SpringVaadinServlet.class)
       @AutoConfigureBefore(value=com.vaadin.spring.boot.internal.VaadinServletConfiguration.class)
      public class HolonVaadinServletAutoConfiguration
      extends Object

  Spring boot auto configuration class to use the `HolonVaadinServlet` as Vaadin servlet, allowing automatic `SessionInitListener` and `SessionDestroyListener` beans registration.
  Since:
    5.0.4

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HolonVaadinServletAutoConfiguration(org.springframework.beans.factory.ObjectProvider<List<com.vaadin.server.SessionInitListener>> sessionInitListeners, org.springframework.beans.factory.ObjectProvider<List<com.vaadin.server.SessionDestroyListener>> sessionDestroyListeners)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.vaadin.server.VaadinServlet` | `vaadinServlet()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HolonVaadinServletAutoConfiguration

          public HolonVaadinServletAutoConfiguration(org.springframework.beans.factory.ObjectProvider<List<com.vaadin.server.SessionInitListener>> sessionInitListeners,
                                                     org.springframework.beans.factory.ObjectProvider<List<com.vaadin.server.SessionDestroyListener>> sessionDestroyListeners)

  - ### Method Detail

    - #### vaadinServlet

          @Bean
           @ConditionalOnMissingBean
          public com.vaadin.server.VaadinServlet vaadinServlet()

Copyright © 2019 The Holon Platform. All rights reserved.